---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libma01t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x27C0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4F190, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x510D0, symBinAddr: 0x9110, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x514C0, symBinAddr: 0x9500, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52460, symBinAddr: 0xA4A0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52470, symBinAddr: 0xA4B0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4EE10, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4EE14, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4EE18, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4EF70, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F028, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F02C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F030, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F034, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F038, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F040, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4F050, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F058, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F060, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F068, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F070, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F078, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4F0C0, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x9524, offset: 0x9524, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1460, symSize: 0x80 }
  - { offsetInCU: 0x95B9, offset: 0x95B9, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x13B0, symSize: 0xB0 }
  - { offsetInCU: 0x9614, offset: 0x9614, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x12B0, symSize: 0x100 }
  - { offsetInCU: 0x98A7, offset: 0x98A7, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x14E0, symSize: 0xC0 }
  - { offsetInCU: 0x98F9, offset: 0x98F9, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x15A0, symSize: 0x220 }
  - { offsetInCU: 0x9ADE, offset: 0x9ADE, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x17C0, symSize: 0xA0 }
  - { offsetInCU: 0x9B91, offset: 0x9B91, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1860, symSize: 0x110 }
  - { offsetInCU: 0x9C87, offset: 0x9C87, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1970, symSize: 0x150 }
  - { offsetInCU: 0x9DE4, offset: 0x9DE4, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1AC0, symSize: 0x30 }
  - { offsetInCU: 0x9EC5, offset: 0x9EC5, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1AF0, symSize: 0x150 }
  - { offsetInCU: 0xA0BD, offset: 0xA0BD, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1C40, symSize: 0x160 }
  - { offsetInCU: 0xA37D, offset: 0xA37D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1DA0, symSize: 0x4A0 }
  - { offsetInCU: 0xA5F0, offset: 0xA5F0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2240, symSize: 0x1B0 }
  - { offsetInCU: 0xA80B, offset: 0xA80B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x23F0, symSize: 0xA0 }
  - { offsetInCU: 0xA8DA, offset: 0xA8DA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2490, symSize: 0x20 }
  - { offsetInCU: 0xA911, offset: 0xA911, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x24B0, symSize: 0x20 }
  - { offsetInCU: 0xA948, offset: 0xA948, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x24D0, symSize: 0x20 }
  - { offsetInCU: 0xAB1B, offset: 0xAB1B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x24F0, symSize: 0x1A0 }
  - { offsetInCU: 0xAE37, offset: 0xAE37, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x2690, symSize: 0x130 }
  - { offsetInCU: 0xAFE7, offset: 0xAFE7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2A30, symSize: 0x1B0 }
  - { offsetInCU: 0xB2D6, offset: 0xB2D6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2BE0, symSize: 0x80 }
  - { offsetInCU: 0xB39F, offset: 0xB39F, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2C60, symSize: 0x6A0 }
  - { offsetInCU: 0xBF34, offset: 0xBF34, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9EE0, symBinAddr: 0x41D0, symSize: 0xB0 }
  - { offsetInCU: 0xBFAB, offset: 0xBFAB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3300, symSize: 0x70 }
  - { offsetInCU: 0xC09F, offset: 0xC09F, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3370, symSize: 0xA0 }
  - { offsetInCU: 0xC1AA, offset: 0xC1AA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_init_MA, symObjAddr: 0x52A0, symBinAddr: 0x3410, symSize: 0x1F0 }
  - { offsetInCU: 0xC3F7, offset: 0xC3F7, size: 0x8, addend: 0x0, symName: __ZL16nativeMethodBindP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPvPS7_, symObjAddr: 0x5490, symBinAddr: 0x3600, symSize: 0x310 }
  - { offsetInCU: 0xC893, offset: 0xC893, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3910, symSize: 0x40 }
  - { offsetInCU: 0xC989, offset: 0xC989, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3950, symSize: 0x2B0 }
  - { offsetInCU: 0xCD2F, offset: 0xCD2F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3C00, symSize: 0xC0 }
  - { offsetInCU: 0xCE75, offset: 0xCE75, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3CC0, symSize: 0x10 }
  - { offsetInCU: 0xCF37, offset: 0xCF37, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3CD0, symSize: 0x220 }
  - { offsetInCU: 0xD234, offset: 0xD234, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3EF0, symSize: 0x10 }
  - { offsetInCU: 0xD291, offset: 0xD291, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3F00, symSize: 0x280 }
  - { offsetInCU: 0xD5A0, offset: 0xD5A0, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E90, symBinAddr: 0x4180, symSize: 0x10 }
  - { offsetInCU: 0xD5FE, offset: 0xD5FE, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9EA0, symBinAddr: 0x4190, symSize: 0x40 }
  - { offsetInCU: 0xD667, offset: 0xD667, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9F90, symBinAddr: 0x4280, symSize: 0x36A }
...
